/*	@(#)globals.h	1.1	1/26/85	*/

/*
 *	Global variables defined in "main.c"
 */

#ifdef DEFINITIONS
#  define GLOBAL(type,name,init) type name = init	/* Initialized */
#  define GLOBALU(type,name,init) type name		/* Uninitialized */
#else
#  define GLOBAL(type,name,init) extern type name
#  define GLOBALU(type,name,init) extern type name
#endif

GLOBAL (char **, filelist, NULL);	/* List of files to be sent */
GLOBAL (char *, filnam, NULL);		/* Current file name */
GLOBAL (char *, photo, NULL);		/* Name of log file. */
GLOBAL (char *, remtty, DEF_LINE);	/* Remote tty name */
GLOBAL (char, eol, 0);			/* End-Of-Line character to send */
GLOBAL (char, escchr, BRKCHR);		/* Connect command escape character */
GLOBAL (char, padchar, 0);		/* Padding character to send */
GLOBAL (char, quote, 0);		/* Quote chracter in incoming data */
GLOBAL (char, state, 0);		/* Present state of the automaton */
GLOBAL (int, mflg, 0);			/* Map upper to lower in filenames */
GLOBAL (int, n, 0);			/* Message number */
GLOBAL (int, pad, 0);			/* How much padding to send */
GLOBAL (int, size, 0);			/* Size of present data */
GLOBAL (int, spsiz, 0);			/* Maximum send packet size */
GLOBAL (int, debug, 0);			/* -1 means debugging */
GLOBAL (int, fd, 0);			/* File pointer to read/write */
GLOBAL (int, host, 0);			/* TRUE if running on users machine */
GLOBAL (int, iflg, 0);			/* Flag to ignore checksums in data */
GLOBAL (int, numtry, 0);		/* Times this packet retried */ 
GLOBAL (int, oldtry, 0);		/* Times previous packet tried */
GLOBAL (int, remfd, 0);			/* File pointer of the host's tty */
GLOBAL (int, speed, DEF_SPEED);		/* Remote line speed */
GLOBAL (int, tflg, 0);			/* Trace progress on stdout */
GLOBAL (int, cflg, 0);			/* Doing connect */

/*
 *	Some compilers do not allow initialization of arrays with a single
 *	initializer.
 */
 
#ifdef AMIGA
GLOBALU (char, packet[MAXPACK], 0);	/* Packet buffer */
GLOBALU (char, recpkt[MAXPACK], 0);	/* Receive packet buffer */
#else
GLOBAL (char, packet[MAXPACK], 0);	/* Packet buffer */
GLOBAL (char, recpkt[MAXPACK], 0);	/* Receive packet buffer */
#endif	/* AMIGA */

/*
 *	Internally defined kermit functions which are global.
 */
 
extern VOID Connect ();
extern VOID Help ();
extern VOID HostRaw ();
extern VOID NewSpeed ();
extern VOID Receive ();
extern VOID Send ();
extern VOID Usage ();
extern VOID WrapUp ();
extern VOID exit ();
extern char tolower ();
extern VOID GetModes ();
extern VOID HostCooked ();
extern VOID SetSpeed ();
extern VOID SetUp ();
extern char rpack ();
extern VOID spack ();
extern int bufill ();
extern VOID bufemp ();
extern int getfil ();
extern int gnxtfl ();
extern VOID spar ();
extern VOID rpar ();
